- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moeoDiversityThenFitnessComparator< MOEOT > Class Template Reference

Functor allowing to compare two solutions according to their diversity values, then according to their fitness values. More...

`#include <moeoDiversityThenFitnessComparator.h>`

Inheritance diagram for moeoDiversityThenFitnessComparator< MOEOT >:

List of all members.

## Public Member Functions
const bool | operator() (const MOEOT &_moeo1, const MOEOT &_moeo2)
| Returns true if _moeo1 < _moeo2 according to their diversity values, then according to their fitness values.

## Detailed Description

### template<class MOEOT>
class moeoDiversityThenFitnessComparator< MOEOT >

Functor allowing to compare two solutions according to their diversity values, then according to their fitness values.

Definition at line 22 of file moeoDiversityThenFitnessComparator.h.

## Member Function Documentation

template<class MOEOT>

const bool moeoDiversityThenFitnessComparator< MOEOT >::operator() | ( | const MOEOT & | _moeo1,
|  | const MOEOT & | _moeo2 |
| ) |  |  | `[inline]`

Returns true if _moeo1 < _moeo2 according to their diversity values, then according to their fitness values.

Parameters:

  | _moeo1 | the first solution
  | _moeo2 | the second solution

Definition at line 31 of file moeoDiversityThenFitnessComparator.h.

The documentation for this class was generated from the following file:

- moeoDiversityThenFitnessComparator.h